Subject: Re: [PATCH 1/3] git-verify-pack.txt: fix inconsistent spelling of "packfile"

From: Jeff King <[email-masked]>
Date: Wed, 20 May 2015 22:04:03 -0400

On Wed, May 20, 2015 at 03:37:23PM -0700, Junio C Hamano wrote:

> In any case, even though I merged these three to 'next', I think we
> need to either revert 3/3 or do s/pack-file/packfile/ throughout the
> pack-protocol documentation.  The original has something like this:
> 
>     The pack-file MUST NOT be sent if the only command used is 'delete'.
> 
>     A pack-file MUST be sent if either create or update command is used,
>     even if the server already has all the necessary objects.  In this
>     case the client MUST send an empty pack-file.   The only time this
>     is likely to happen is if the client is creating
>     a new branch or a tag that points to an existing obj-id.
> 
> and these are explicitly referring to what EBNF defines as "pack-file".
> Changing them to "packfile" is simply wrong.

Yeah, I agree they should agree with the EBNF. And my inclination is for
"packfile", as it is refering to the concept of the on-the-wire packfile
data (there is no "file ending in .pack" in this context).

Which I guess argues for a further patch.

-Peff